/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.bean;

/**
 * This class carries the information of authorization in a message.
 * It is used in the validation of the message and is not used in current version.
 * 
 * @author TCSDESIGNER
 * @version 1.0
 */
public class Credential extends AttributeSupportedObject {
    
    /**
     * Return whether the credential is valid. 
     * 
     * @return whether the credential is valid
     */
    public boolean isValid() {
        return false;
    }
    
    /**
     * Return whether the credential is expired.
     * 
     * @return whether the credential is expired
     */
    public boolean isExpired() {
        return false;
        
    }
    
    /**
     * Return the subject contained in this credential.
     * 
     * @return the subject contained in this credential
     */
    public Object getSubject() {
        return null;
    }
}
